import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading RestSensorTypeToGeneric Converter")

class RestSensorTypeToGeneric(Converter):
    def Execute(self, args):
        res = ""
        if args[0] == "MARKI":
            res = "Mark"
        elif args[0] == "MARKII":
            res = "Gap"
        return res




plugin = RestSensorTypeToGeneric("RestSensorTypeToGeneric")

store.AddConverter(plugin)